<template>
  <header>
    <h3>Reset Password</h3>
    <p>
      <span>Choose a new password for your account</span>
    </p>
  </header>
  <form>
    <fieldset>
      <NewPasswordField
        v-model="password"
        @pass="pass = $event"
      />
    </fieldset>
    <footer>
      <Button
        :disabled="!pass"
        @click.prevent="reset"
      >
        Reset Password
      </Button>
      <Link :to="appEndpoints.LOGIN"> Back to Login </Link>
    </footer>
  </form>
</template>

<script lang="ts" setup>
import { Button, Link } from '~shared/ui';
import { NewPasswordField } from '~features/auth';
import { appEndpoints } from '~shared/libs';

const password = ref('');
const pass = ref(false);
const reset = () => {
  console.log('reset password in progress');
};
</script>
